Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: GentooForum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

07.12.2013, 15:58

[BUG] sys-auth/nss_ldap-265-r1 -- kein Portage und keine Anmeldung mehr möglich

Hallo Leute,

ein Blöder Bug ist mir untergekommen. Wenn ihr in euren Netzwerken LDAP-Authentifizierung fährt, passt auf beim Bauen des genannte Paketes. Habe gestern auf Kerberos als Client umgebaut. Nach dem Emerge war ein "ls -l" oder ein "getend passwd", anmelden am Rechner (werder lokal noch LDAP) oder auch ein weiteres Emerge nicht mehr möglich. Fehlermeldungen:

Quellcode

1
2
symbol lookup error: /lib64/libnss_ldap.so.2: undefined symbol: __libc_lock_lock
[1]    10476 segmentation fault  eix -I

Sehr nett. Deaktiviert man LDAP in der nsswitch.conf ist alles normal. Dann beim Bauen von sys-auth/nss_ldap-265-r1 im Verbosemode kam folgende Meldung:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
* QA Notice: Package triggers severe warnings which indicate that it
 *            may exhibit random runtime failures.
 * ldap-nss.c:586:3: warning: implicit declaration of function ‘__libc_lock_lock’ [-Wimplicit-function-declaration]
 * ldap-nss.c:632:3: warning: implicit declaration of function ‘__libc_lock_unlock’ [-Wimplicit-function-declaration]
 * ldap-nss.c:1254:3: warning: implicit declaration of function ‘__libc_once’ [-Wimplicit-function-declaration]
 * util.c:97:3: warning: implicit declaration of function ‘__libc_lock_lock’ [-Wimplicit-function-declaration]
 * util.c:104:4: warning: implicit declaration of function ‘__libc_lock_unlock’ [-Wimplicit-function-declaration]

 * Please do not file a Gentoo bug and instead report the above QA
 * issues directly to the upstream developers of this software.
 * Homepage: http://www.padl.com/OSS/nss_ldap.html

Eine neuere Version des Paketes hatte den Fehler nicht mehr. Also folgende Zelle in die "/etc/portage/package.keywords" eintragen:

Quellcode

1
=sys-auth/nss_ldap-265-r2

Und das Problem damit war gelöst.

lg
boospy
Gentoo Can Do!
>>>> boospy@jabber.ccc.de <<<<
Wiki auf: http://deepdoc.at

2

08.12.2013, 10:45

Oh danke für den Hinweis !

lg
schatti
''''''''''''''''''''''''''''''''''''''''''''''''
Gentoo-Linux
der G-Punkt eines Pc´s

''''''''''''''''''''''''''''''''''''''''''''''''

3

15.12.2013, 13:11

Ja, das "Problem" ist das glibc-2.16 mittlerweile stable ist, aber der fix aus =sys-auth/nss_ldap-265-r2 noch nicht.
Siehe dazu auch im https://bugs.gentoo.org/show_bug.cgi?id=438692

4

16.12.2013, 22:54

Danke Josef für den Hinweis.

lg
boospy
Gentoo Can Do!
>>>> boospy@jabber.ccc.de <<<<
Wiki auf: http://deepdoc.at